CREATE SEQUENCE seq_lap_id;
CREATE SEQUENCE seq_section_id;
CREATE TABLE section (
	id BIGINT PRIMARY KEY,
	start VARCHAR NOT NULL,
	goal VARCHAR NOT NULL,
	UNIQUE(start, goal));
CREATE TABLE lap (
	id BIGINT PRIMARY KEY,
	section_id BIGINT NOT NULL,
	elapse_med DOUBLE NOT NULL,
	elapse_med_var DOUBLE NOT NULL,
	elapse_tail DOUBLE NOT NULL,
	elapse_tail_var DOUBLE NOT NULL,
	elapse_worst DOUBLE NOT NULL,
	elapse_worst_var DOUBLE NOT NULL,
	sample_date TIMESTAMP NOT NULL,
	n_sample INT NOT NULL,
	FOREIGN KEY(section_id) REFERENCES section(id));
